## cyrus-imapd-2.2 2.2.13-8~bpo1

=== debian/changelog ===
cyrus-imapd-2.2 (2.2.13-8~bpo1) sarge-backports; urgency=low

  * backport to sarge 

 -- Sven Mueller <sven@debian.org>  Wed, 13 Sep 2006 14:35:54 +0200

cyrus-imapd-2.2 (2.2.13-8) unstable; urgency=medium

  [ Sven Mueller ]
  * Remove unneeded drac dependency
  * New vietnamese translation (thanks to Clytie Siddall, Closes: #383281)
  * New russian translation (thanks to Yuri Kozlov, Closes: #383217)
  * Updated dutch translation (thanks to Kurt De Bree, Closes: #384870)
  * Updated logcheck rules a bit more, thanks to Ross Boylan (Closes: #384265)
  * Add spanish debconf translation thanks to César Gómez Martín.
  * Add patch to fix FTBFS on GNU/kFreeBSD thanks to Petr Salinger.
    (Closes: #388242)
  * Run autoconf to generate update configure script after above patch was
    applied to configure.in
  * Add patch by Ben Poliakoff which fixes an inability to set annotations
    from IMAP::Admin perl module (Closes: #389597)
    urgency=medium because of this bug. Might have been medium, but the
    combination of this bug and the one below seems severe enough for high.
    It makes the package unusable to anyone using annotations (guess is 40%
    of new installs).
  * Update dutch debconf translation (Closes: #389783)
  * Fix a problem with repeated builds from the same tree.
  * Add upstream patch to imtest.c prefixing raw client responses with C:

  [ Henrique de Moraes Holschuh ]
  * Update pt_BR debconf translation

  [ Benjamin Seidenberg ]
  * Update date span in debian/copyright
  * Fix mistake in init script, ! check_status instead of !check_status.
    Thanks to Farzad FARID
  * Fix DOS encoding on several files in debian/ (Closes: #391092) 
    Thanks to Farzad FARID

 -- Sven Mueller <sven@debian.org>  Mon,  9 Oct 2006 23:21:23 +0200

cyrus-imapd-2.2 (2.2.13-7) unstable; urgency=low

  * The "Bad translations in the middle of the night" release.
  * Update czech translation by Martin ín <martin.sin@zshk.cz>
    (Closes: #382775,#383226)
  * Add logcheck ignore line for lmtp delivery log entries (Closes: #382942)
  * Update imapd.conf and cyrus.conf to reflect the configurable IDLE patch
    applied since 2.2.13-5. (Closes: #382938)
  * Update a debconf question so that it doesn't ask in first persion. Fixes a
    lintian warning or even two.
  * Fix delprune event in cyrus.conf to use cyr_expire (Closes: #383015)
  * Add swedish translation by Daniel Nylander <po@danielnylander.se>
  * Fix some mistakes in the german translation, most corrections by Holger
    Wansing <linux@wansing-online.de>
  * Update italian translation by Cristian Rigamonti <cri@linux.it>
  * Correct README.Debian.database regarding number of .seen and .sub
    databases. (Closes: #383484)
  * Change wording regarding installsieve in README.Debian. (Closes: #383485)
  * Add a "WARNING" prefix to the error message about missing sieve scripts.
    (Closes: #383640)
  * Add a logcheck ignore clause for sieve redirects. (Closes: #384265)
  * Fix an implicit pointer conversion in imap/global.c (Closes: #384279)
  * Update french translation thanks to Philippe Batailler and the
    debian-l10n-french mailing list. (Closes: #384288)
  * added 'sieve_allowreferrals' option which controls whether timsieved
    issues referrals (default) or proxies (by murch@andrew.cmu.edu)
  * update japanese debconf translation, thanks to Hideki Yamane
    (henrich@samba.gr.jp)
  * Update logcheck rules (thanks to Paul Traina <reportbug@st04.pst.org>)
    (Closes: #387180)
  * Add a patch to change a log message when a user has no sieve file.

 -- Sven Mueller <sven@debian.org>  Thu, 14 Sep 2006 18:58:49 +0200

cyrus-imapd-2.2 (2.2.13-5bpo2) sarge-backports; urgency=low

  * Remove build-dep on libsmnp9 (unstable) for sarge backport due to
    problems in sbuild.

 -- Benjamin Seidenberg <astronut@dlgeek.net>  Thu, 10 Aug 2006 20:07:05 -0400

cyrus-imapd-2.2 (2.2.13-5bpo1) sarge-backports; urgency=low

  * Backport of 2.2.13-6 to sarge 

 -- Sven Mueller <sven@debian.org>  Thu, 10 Aug 2006 04:00:33 +0200

cyrus-imapd-2.2 (2.2.13-6) unstable; urgency=low

  * Fix a problem in cyrus-common-2.2 preinst 

 -- Sven Mueller <sven@debian.org>  Thu, 10 Aug 2006 03:58:58 +0200

cyrus-imapd-2.2 (2.2.13-5) unstable; urgency=low

  * The "Need to clean the Windows" release

    [ Benjamin Seidenberg ]
  * Update the following documentation:
    - README.Debian
    - README.Debian.database
    - README.Debian.postfix
    - README.Debian.
    (Closes: #378520, #369882)
  * Bump debian policy to version 3.7.2 (No changes required)
  * Move cyr_expire to /usr/sbin as this is used in cyrus.conf.
    Thanks to Alexander Turic <alexander@turcic.com>. (Closes: #380595)
  * Rename cron script to cyrus22 since dots aren't allowed
    (Closes: #382069)

  [ Sven Mueller ]
  * Remove outdated entry about netnews removal from README.Debian
    (Closes: #378519)
  * Add --no-create-home to adduser arguments in cyrus-common2.2's
    postinst script. (Closes: #378518)
  * Modify debian/rules to once again create a meaningful
    cyrus-db-types.txt file (Closes: #366957)
  * Improve imapd.conf documentation to show how service specific options can
    be given. Also update packaged imapd.conf to reflect 2.2 syntax and
    behaviour. (Closes: #379881)
  * Use ssl-cert and reference system-wide ssl certificates in imapd.conf,
    leaving the service specific ssl certs as-is.
  * Update imapd.conf documentation to clarify behaviour of allowplaintext in
    combination with sasl_mech_list.
  * Sync with 2.2 CVS tree from upstream, including a few documentation fixes
    and a fix returning empty strings for empty message parts instead of NULL
  * Use configurable idle patch from OndÅ~Yej SurÃ½
  * Add some more options to /etc/default/cyrus2.2 and use them in the init
    script, including a generic OPTIONS variable to allow setting of any
    commandline option for cyrmaster. (Closes: #382061)

