=== debian/control ===
Source: cyrus-imapd-2.2
Section: mail
Priority: extra
Maintainer: Debian Cyrus Team <pkg-cyrus-imapd-debian-devel@lists.alioth.debian.org>
Uploaders: Henrique de Moraes Holschuh <hmh@debian.org>, Sven Mueller <sven@debian.org>, Benjamin Seidenberg <astronut@dlgeek.net>, Ondřej Surý <ondrej@debian.org>
Standards-Version: 3.7.2
Build-Depends: debhelper (>= 4.1.68), tcl8.3-dev, libwrap0-dev, libpam0g-dev, libdb4.2-dev (>= 4.2.52), libssl-dev, libzephyr-dev, libsasl2-dev (>= 2.1.9), comerr-dev, libsnmp5-dev, perl (>= 5.6.0-16), xutils, flex, bison, autotools-dev, po-debconf, dpatch, transfig, gs, groff, libkvm-dev [kfreebsd-i386], libkvm-dev [kfreebsd-amd64]

Package: cyrus-common-2.2
Architecture: any
Section: mail
Depends: postfix | mail-transport-agent, adduser (>= 3.34), dpkg (>> 1.9.0), netbase (>= 4.07), gawk, ${shlibs:Depends}, ${perl:Depends}, ${misc:Depends}
Recommends: cyrus-imapd-2.2 | cyrus-pop3d-2.2 | cyrus-murder-2.2 | cyrus-nntpd-2.2 | cyrus-admin-2.2
Suggests: cyrus-clients-2.2, cyrus-admin-2.2, cyrus-imapd-2.2, cyrus-pop3d-2.2, cyrus-murder-2.2, cyrus-nntpd-2.2, cyrus-doc-2.2, sasl2-bin, apt-listchanges (>= 2.35)
Conflicts: suidmanager (<< 0.50), cyrus-common, cyrus21-common, cyrus22-common
Replaces: cyrus21-common, cyrus22-common
Provides: cyrus21-common, cyrus22-common
Description: Cyrus mail system (common files)
 Cyrus is a fully-featured IMAP daemon, with a number of features not
 found in other IMAP implementations, including:
  o Designed to handle massive quantities of mail
  o No need for users to have login accounts
  o Virtual domain support
  o Support for POP3 in addition to IMAP
  o Sieve server-side email filtering
  o Servers don't run as root
  o Easy support for mail quotas
  o SSL support, including secure IMAP
  o DRAC support for pop/imap-before-smtp
  o IPv6 support
  o NNTP support
 For more information, see http://asg.web.cmu.edu/cyrus/.
 .
 Note: Cyrus doesn't support reading from and storing mail in your 
 standard mail spool - it stores mail in a separate directory in its
 own MH-like format.
 .
 This package contains the common files needed by the other Cyrus
 components. The cyrus22-imapd and/or cyrus22-pop3d packages are needed
 to enable IMAP and POP3 support respectively. cyrus22-murder can be
 used to enable IMAP, POP3 and LMTP proxying.
 .
  Homepage: http://cyrusimap.web.cmu.edu/

Package: cyrus-doc-2.2
Architecture: all
Section: doc
Provides: cyrus21-doc, cyrus22-doc
Replaces: cyrus21-doc, cyrus22-doc
Conflicts: cyrus21-doc, cyrus22-doc
Description: Cyrus mail system (documentation files)
 This package contains the documentation for the Cyrus IMAPd suite.
 .
 For more information, please see the cyrus-common-2.2 package.

Package: cyrus-imapd-2.2
Architecture: any
Section: mail
Depends: cyrus-common-2.2 (= ${Source-Version}), ${shlibs:Depends}
Provides: imap-server, cyrus21-imapd, cyrus22-imapd
Conflicts: imap-server, cyrus21-imapd, cyrus22-imapd
Replaces: cyrus21-imapd, cyrus22-imapd
Description: Cyrus mail system (IMAP support)
 This package contains the IMAP (Internet Mail Access  Protocol) portion
 of the Cyrus IMAPd suite.
 .
 For more information, please see the cyrus-common-2.2 package.
  

Package: cyrus-pop3d-2.2
Architecture: any
Section: mail
Depends: cyrus-common-2.2 (= ${Source-Version}), ${shlibs:Depends}
Provides: cyrus21-pop3d, cyrus22-pop3d, pop3-server
Conflicts: cyrus21-pop3d, cyrus22-pop3d, pop3-server
Replaces: cyrus21-pop3d, cyrus22-pop3d
Description: Cyrus mail system (POP3 support)
 This package contains the POP3 (Post Office Protocol) portion of the Cyrus
 IMAPd suite.
 .
 For more information, please see the cyrus-common-2.2 package.

Package: cyrus-admin-2.2
Architecture: all
Section: mail
Depends: libcyrus-imap-perl22 (>= ${Source-Version})
Suggests: sasl2-bin
Conflicts: cyrus-admin, cyrus21-admin, cyrus22-admin
Replaces: cyrus21-admin, cyrus22-admin
Provides: cyrus21-admin, cyrus22-admin
Description: Cyrus mail system (administration tools)
 This package provides the administrative tools for the Cyrus IMAPd suite.
 It contains the cyradm tool which can be used to administer 
 both local and remote Cyrus mail systems.  It also contains sieveshell
 and its deprecated cousin installsieve, which can be used to manage
 sieve scripts.
 .
 For more information, please see the cyrus-common-2.2 package.

Package: cyrus-murder-2.2
Section: mail
Architecture: any
Depends: cyrus-common-2.2 (= ${Source-Version}), ${shlibs:Depends}
Recommends: cyrus-imapd-2.2 (= ${Source-Version}), cyrus-pop3d-2.2 (= ${Source-Version})
Conflicts: cyrus21-murder, cyrus22-murder
Replaces: cyrus21-murder, cyrus22-murder
Provides: cyrus21-murder, cyrus22-murder
Description: Cyrus mail system (proxies and aggregator)
 This package contains the Cyrus IMAPd suite murder aggregator system,
 i.e. IMAP, POP3  and LMTP proxies, and the mupdate mailbox master daemon.
 It allows for cluster setups where there are many backend Cyrus spools and
 frontend proxy servers.
 .
 For more information, please see the cyrus-common-2.2 package.
  

Package: cyrus-nntpd-2.2
Architecture: any
Section: mail
Depends: cyrus-common-2.2 (= ${Source-Version}), ${shlibs:Depends}
Conflicts: news-transport-system
Replaces: cyrus21-nntpd, cyrus22-nntpd
Provides: news-transport-system, cyrus21-nntpd, cyrus22-nntpd
Description: Cyrus mail system (NNTP support)
 This package contains the NNTP (Network News Transfer Protocol) portion of
 the Cyrus IMAPd suite.
 .
 For more information, please see the cyrus-common-2.2 package.
 
Package: cyrus-clients-2.2
Architecture: any
Section: mail
Depends: ${shlibs:Depends}
Conflicts: cyrus21-clients, cyrus22-clients
Provides: cyrus21-clients, cyrus22-clients
Replaces: cyrus21-clients, cyrus22-clients
Description: Cyrus mail system (test clients)
 This package contains client tools to test the Cyrus IMAPd suite.
 It contains the mupdatetest, sivtest, smtptest, lmtptest,
 imtest and pop3test tools which can be used to interactively talk to 
 a mupdate, sieve, smtp, lmtp, imap or pop3 server.
 The clients are fully SASL-enabled for authentication.
 .
 For more information, please see the cyrus-common-2.2 package.
  

Package: cyrus-dev-2.2
Architecture: any
Section: devel
Depends: libcyrus-imap-perl22 (>= ${Source-Version}), cyrus-common-2.2 (= ${Source-Version}), libsasl2-dev (>= 2.1.9)
Conflicts: cyrus-dev, cyrus21-dev, cyrus22-dev, libdb3-dev (<< 3.2.9-15), libdb2-dev (<< 2.7.7.0-6), libdb4.2-dev (<<4.2.52)
Replaces: cyrus21-dev, cyrus22-dev
Provides: cyrus21-dev, cyrus22-dev
Description: Cyrus mail system (developer files)
 This package contains header files and the static library needed 
 to develop IMAP applications that interface with the Cyrus IMAPd suite.
 .
 For more information, please see the cyrus-common-2.2 package.
  

Package: libcyrus-imap-perl22
Architecture: any
Depends: ${perl:Depends}, ${shlibs:Depends}
Provides: libcyrus-imap-perl, libcyrus-imap-perl21
Conflicts: libcyrus-imap-perl, libcyrus-imap-perl21
Replaces: libcyrus-imap-perl21
Section: perl
Description: Interface to Cyrus imap client imclient library
 The Cyrus::IMAP module provides an interface to the Cyrus imclient
 library.  These are primarily useful for implementing cyradm operations
 within a Perl script; there are easier ways to implement general client
 operations, although they may be more limited in terms of authentication
 options when talking to a Cyrus imapd.
 .
 The modules that compose Cyrus::SIEVE are also included, but they are
 undocumented upstream.
 .
 For more information, please see the cyrus-common-2.2 package.
