=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for CMU Cyrus IMAP version 2.2
# GNU copyright 1997 by Joey Hess.
# Copyright (c) 2001 by Henrique de Moraes Holschuh
# Published under the GNU GPL license
# Based on previous work by Michael-John Turner <mj@debian.org>,
#			    David Parker <david@neongoat.com>
#

# DebHelper control
export DH_ALWAYS_EXCLUDE=CVS

export MAINPKG=cyrus-common-2.2
export DOCPKG=cyrus-doc-2.2
export TMPPKG := $(CURDIR)/debian/tmp
export PKGDIR := $(CURDIR)/debian/$(MAINPKG)
export DOCDIR := $(CURDIR)/debian/$(DOCPKG)/usr/share/doc/$(DOCPKG)

export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

# enable dpatch usage
#include /usr/share/dpatch/dpatch.make
# -*- Makefile -*-, you silly Emacs!
# vim: set ft=make:

DPATCH_PACKAGE	?= ${DEB_SOURCE_PACKAGE}
DPATCH_PACKAGE	?= ${PACKAGE}
DPATCH_STAMPDIR	?= debian/patched
DPATCH_STAMPFN	?= patch-stamp

ifdef PATCHLIST
UNPATCHLIST	:= ${PATCHLIST}
DPATCH_ALL	:=
else
DPATCH_ALL	:= -all
endif

ifneq (${DPATCH_STAMPDIR},debian/patched)
_STAMPDIR	:= --stampdir=${DPATCH_STAMPDIR}
endif

ifdef DPATCH_WORKDIR
_WORKDIR	:= --workdir ${DPATCH_WORKDIR}
endif

patch: ${DPATCH_STAMPFN}
${DPATCH_STAMPFN}:
	test -d ${DPATCH_STAMPDIR} || install -d ${DPATCH_STAMPDIR}
	@echo "Patches applied in the Debian version of ${DPATCH_PACKAGE}:" > $@T
	@echo >> $@T
	dpatch ${_WORKDIR} apply${DPATCH_ALL} -v ${_STAMPDIR} ${PATCHLIST}
	dpatch ${_WORKDIR} cat${DPATCH_ALL} ${PATCHLIST} >>$@T
	mv -f $@T $@

unpatch:
	dpatch ${_WORKDIR} deapply${DPATCH_ALL} ${_STAMPDIR} ${UNPATCHLIST}
	rm -rf ${DPATCH_STAMPFN} ${DPATCH_STAMPFN}T ${DPATCH_STAMPDIR}

# arch-tag: 6bb4c625-9a85-41d9-ab37-23cb0a16fb39
#END_dpatch.make

# Extra version information to add to Cyrus IMAPd ID
DEBVERSION:=$(shell LCALL=C dpkg-parsechangelog | sed -ne 's/^Version: \(.*-\)/\1/p')
EXTRA_IDENT:="Debian-$(DEBVERSION)"

# DB engine version
DBENGINE=BerkeleyDB4.2

DEBUGFLAGS=-g
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	DEBUGFLAGS += -O0
else
	DEBUGFLAGS += -O2
endif

# FOR AUTOCONF 2.52 AND NEWER ONLY
CONFFLAGS =
ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
  CONFFLAGS += --build $(DEB_HOST_GNU_TYPE)
else
  CONFFLAGS += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
endif

# Other oddities
ifneq (,$(findstring strict,$(DEB_BUILD_OPTIONS)))
	CONFFLAGS += --enable-warnings-are-errors
endif

# The clean target will remove any and all cruft (as defined by 
# configure ; make distclean ; cd intl; make distclean ). 
# This is done to make sure the build daemon's source tree is the 
# same as the one I am using to produce the i386 debs. 
clean: clean-patched unpatch
clean-patched: configure
	dh_testdir
	dh_testroot
	-xargs -t -r chmod +x < debian/executable.files
	-rm -f build-indep-stamp build-arch-stamp configure-stamp install-arch-stamp install-indep-stamp build-stamp
	-$(MAKE) -i distclean
	-rm -f config.h config.cache config.status config.log stamp-config confdefs.h
	-rm -f netnews/Makefile perl/imap/Makefile.old perl/sieve/managesieve/Makefile.old snmp/Makefile Makefile et/Makefile
	-rm -f doc/pod2htm*
	-rm -f master/makedepend.log 
	-rm -rf doc/man
	-rm -f debian/cyrus-db-types.txt debian/cyrus-hardwired-config.txt debian/README.configure-options
	# -rm -rf et/
	rm -rf autom4te.cache
	-xargs -t -r rm -f < debian/deletable.files
	dh_clean

configure:
	# ./autogen.sh

build: build-arch build-indep

configure-stamp: patch
	dh_testdir
	# -rm -f config.sub config.guess
	# cp /usr/share/misc/config.sub config.sub
	# cp /usr/share/misc/config.guess config.guess
	touch configure.in && touch aclocal.m4 && touch configure

	# IF YOU CHANGE BERKELEY DB VERSION, MAKE SURE TO UPDATE
	# DBENGINE AT THE TOP OF THIS MAKEFILE!
	./configure CFLAGS="-fno-strict-aliasing -fPIC -Wall -pipe $(DEBUGFLAGS)" $(CONFFLAGS) \
	 --with-extraident=$(EXTRA_IDENT) \
	 --prefix=/usr/share --exec-prefix=/usr --libexecdir=/usr/sbin \
	 --bindir=/usr/sbin --sbindir=/usr/sbin \
	 --includedir=/usr/include/cyrus \
	 --datadir=/usr/share/cyrus --sysconfdir=/etc \
	 --with-statedir=/var/state \
	 --sharedstatedir=/usr/share/cyrus \
	 --localstatedir=/var/lib/cyrus \
	 --mandir=/usr/share/man \
	 --with-cyrus-prefix=/usr/lib/cyrus --with-lock=fcntl \
	 --with-perl=/usr/bin/perl \
	 --with-openssl=/usr --with-auth=unix \
	 --enable-murder --enable-nntp \
	 --disable-listext --enable-annotatemore --with-sasl=/usr \
	 --with-drac=/usr \
	 --with-cyrus-user=cyrus --with-cyrus-group=mail \
	 --with-tclsh=/usr/bin/tclsh --with-com_err=/usr \
	 --with-pidfile=/var/run/cyrmaster.pid \
	 --with-syslogfacility=MAIL \
	 --with-seen-db=skiplist --with-mboxlist-db=skiplist \
	 --with-ucdsnmp=/usr
	echo 'To build this package, configure was called as follows:' \
		> debian/README.configure-options
	grep with\ options config.status \
	| sed -e 's/^.*options \\"/configure /;s/\\"$///' \
		>> debian/README.configure-options
	sed -i 's/ -lsensors//' master/Makefile
	touch configure-stamp

build-arch: build-arch-stamp
build-arch-stamp: configure-stamp
	dh_testdir

	PERL_MM_OPT="INSTALLDIRS=vendor" $(MAKE)
	# store database configuration for possible automatic
	# upgrading later
	echo "DBENGINE $(DBENGINE)" >>debian/cyrus-db-types.txt
	grep _db lib/imapoptions \
	| cut -d, -f1-2 | sed -e 's/{ "//;s/_db", "/ /;s/"$$//' \
	| sed -e 's/^tls.* /TLS /;s/^subs.* /SUBS /;s/^seen.* /SEEN /;s/^pts.* /PTS /;s/^mbox.* /MBOX /'\
	| awk '{printf("%s %s\n",toupper($$1),$$2);}' \
	>>debian/cyrus-db-types.txt
	mv debian/cyrus-db-types.txt debian/cyrus-db-types.txt.old \
	&& sort -u < debian/cyrus-db-types.txt.old > debian/cyrus-db-types.txt \
	&& rm debian/cyrus-db-types.txt.old

	# store some useful state about the current package
	echo "PACKAGE_VERSION $(DEBVERSION)" >debian/cyrus-hardwired-config.txt
	if grep -q -s -n -E '^[[:space:]]*#define[[:space:]]+USE_DIR_FULL[[:space:]]+1' config.h ; then \
		echo "USE_DIR_FULL 1" >>debian/cyrus-hardwired-config.txt ;\
	else \
		echo "USE_DIR_FULL 0" >>debian/cyrus-hardwired-config.txt ;\
	fi

	touch build-arch-stamp

# We aren't actually able to build arch-indep independently from
# arch-dep, so we guarantee that the arch build has been done first
build-indep: build-indep-stamp
build-indep-stamp: configure-stamp build-arch
	dh_testdir

	cd doc &&\
	pod2man ../perl/sieve/scripts/sieveshell.pl > ../man/sieveshell.1 &&\
	fig2dev -L png murder.fig murder.png &&\
	rm -f groff-html-*.png pod2htm*
	cd doc &&\
	mkdir -p man &&\
	for man in ../man/*.[1-9] ../debian/*.[1-9]; do \
	   echo "Generating html manpage for $$man..."; \
	   groff -man -Thtml $$man > man/`basename $$man`.html; \
	done
	pod2html perl/imap/cyradm.sh > doc/man/cyradm.1.html
	rm -f pod2htm*

	touch build-indep-stamp

install-arch: build-arch 
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs -a

	$(MAKE) install DESTDIR=$(TMPPKG)

	# fix totaly broken location of the include files;
	# while at it, also avoid namespace colision, and move
	# lots of admin-only/system-only stuff to sbin and lib
	# also, do the renaming needed for alternatives
	# and fix the weird side-effect of setting the proper cyrus
	# location in configure.
	mkdir -p $(TMPPKG)/usr/sbin
	mkdir -p $(TMPPKG)/usr/lib/cyrus
	for i in master reconstruct quota deliver ; do \
		mv $(TMPPKG)/usr/lib/cyrus/bin/$$i $(TMPPKG)/usr/sbin/cyr$$i ;\
	done
	for i in mbpath ctl_mboxlist ctl_deliver ctl_cyrusdb squatter \
	         tls_prune ipurge cyrdump cvt_cyrusdb chk_cyrus arbitron \
		 cyr_expire; do \
		mv $(TMPPKG)/usr/lib/cyrus/bin/$$i $(TMPPKG)/usr/sbin/$$i ;\
	done
	mkdir -p $(TMPPKG)/usr/include
	mv $(TMPPKG)/usr/share/include/cyrus $(TMPPKG)/usr/include
	#mv $(TMPPKG)/bin/* $(TMPPKG)/usr/bin

	# Move the perl crap to a saner place
	mkdir -p $(TMPPKG)/usr/lib
	mkdir -p $(TMPPKG)/usr/share/perl5
	#mv $(TMPPKG)/lib/perl5/Cyrus $(TMPPKG)/usr/share/perl5/Cyrus
	#mv $(TMPPKG)/lib/* $(TMPPKG)/usr/lib

	# for stuff in /etc
