=== debian/watch ===
version=2
ftp://ftp.andrew.cmu.edu/pub/cyrus-mail/cyrus-imapd-(2\.2\..*).tar.(?:gz|bz2)
